Bug 33901

Summary: [Android] Android lacks V8 version of JNIUtilityPrivate
Product: WebKit Reporter: Steve Block <steveblock>
Component: WebCore Misc.Assignee: Steve Block <steveblock>
Status: RESOLVED FIXED    
Severity: Normal CC: android-webkit-unforking, commit-queue, eric, steveblock
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Android   
OS: Android   
Bug Depends on: 33843    
Bug Blocks: 32154    
Attachments:
Description Flags
Patch ariya.hidayat: review+, steveblock: commit-queue-

Description Steve Block 2010-01-20 07:13:22 PST
The JSC-specific elements of WebCore/bridge/jni/JNIUtility were moved to WebCore/bridge/jni/jsc/JNIUtilityPrivate in http://trac.webkit.org/changeset/51756

Android requires a V8 version of this
Comment 1 Steve Block 2010-01-29 03:46:07 PST
Created attachment 47699 [details]
Patch
Comment 2 Ariya Hidayat 2010-02-01 07:48:41 PST
Comment on attachment 47699 [details]
Patch

LGTM.
Comment 3 Eric Seidel (no email) 2010-02-01 16:12:48 PST
Attachment 47699 [details] was posted by a committer and has review+, assigning to Steve Block for commit.
Comment 4 Steve Block 2010-02-01 16:19:06 PST
Comment on attachment 47699 [details]
Patch

Will land manually
Comment 5 Eric Seidel (no email) 2010-02-01 16:24:54 PST
Sorry about all the bug-spam to those of you using the commit queue.  I've filed bug 34456. about the problem.
Comment 6 Steve Block 2010-02-01 16:27:34 PST
Landed manually as http://trac.webkit.org/changeset/54171

Closing bug as resolved fixed.